Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/HeuristicLab.Problems.Instances.PermutationProblems-3.3.csproj
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/HeuristicLab.Problems.Instances.PermutationProblems-3.3.csproj	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/HeuristicLab.Problems.Instances.PermutationProblems-3.3.csproj	(revision 16834)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.Problems.Instances.PermutationProblems</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.Instances.PermutationProblems-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs	(revision 16834)
@@ -9,6 +9,5 @@
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public abstract class LOPInstanceProvider : ProblemInstanceProvider<LOPData> {
-    public override string ReferencePublication
-    {
+    public override string ReferencePublication {
       get { return "Martí, R., & Reinelt, G. (2011). The Linear Ordering Problem. Applied Mathematical Sciences. Springer Berlin Heidelberg. https://doi.org/10.1007/978-3-642-16729-4"; }
     }
@@ -39,6 +38,5 @@
     }
 
-    public override bool CanImportData
-    {
+    public override bool CanImportData {
       get { return true; }
     }
@@ -62,6 +60,5 @@
     }
 
-    public override bool CanExportData
-    {
+    public override bool CanExportData {
       get { return false; }
     }
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Plugin.cs	(revision 16834)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems {
-  [Plugin("HeuristicLab.Problems.Instances.PermutationProblems", "3.3.15.16005")]
+  [Plugin("HeuristicLab.Problems.Instances.PermutationProblems", "3.3.15.16013")]
   [PluginFile("HeuristicLab.Problems.Instances.PermutationProblems-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16834)
@@ -54,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16009")]
+[assembly: AssemblyFileVersion("3.3.15.16013")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.Instances/3.3/HeuristicLab.Problems.Instances-3.3.csproj	(revision 16834)
@@ -19,5 +19,5 @@
     <DebugType>full</DebugType>
     <Optimize>false</Optimize>
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -28,5 +28,5 @@
     <DebugType>pdbonly</DebugType>
     <Optimize>true</Optimize>
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
@@ -42,5 +42,5 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
     <DebugSymbols>true</DebugSymbols>
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <DebugType>full</DebugType>
@@ -59,5 +59,5 @@
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <Optimize>true</Optimize>
@@ -78,5 +78,5 @@
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
     <DebugSymbols>true</DebugSymbols>
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>DEBUG;TRACE</DefineConstants>
     <DebugType>full</DebugType>
@@ -95,5 +95,5 @@
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
-    <OutputPath>..\..\bin\</OutputPath>
+    <OutputPath>..\..\..\..\trunk\bin\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
     <Optimize>true</Optimize>
@@ -112,4 +112,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Common-3.3">
+      <HintPath>..\..\..\..\trunk\bin\HeuristicLab.Common-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
+      <HintPath>..\..\..\..\trunk\bin\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="Microsoft.CSharp" />
     <Reference Include="System" />
@@ -121,5 +127,7 @@
     <Compile Include="ProblemInstanceManager.cs" />
     <Compile Include="IProblemInstanceExporter.cs" />
+    <Compile Include="Types\FSSPData.cs" />
     <Compile Include="Types\GCPData.cs" />
+    <Compile Include="Types\LOPData.cs" />
     <Compile Include="Types\PTSPData.cs" />
     <Compile Include="Types\ATSPData.cs" />
@@ -148,16 +156,4 @@
   <ItemGroup>
     <None Include="HeuristicLab.snk" />
-  </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
-      <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
-      <Name>HeuristicLab.Common-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
-      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
-      <Name>HeuristicLab.PluginInfrastructure-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/HeuristicLab.Problems.PermutationProblems.Views-3.3.csproj	(revision 16834)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.PermutationProblems.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.PermutationProblems.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -148,7 +148,4 @@
     </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
-    <Reference Include="HeuristicLab.Problems.Instances-3.3">
-      <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Problems.Instances-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
@@ -174,4 +171,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.Instances\3.3\HeuristicLab.Problems.Instances-3.3.csproj">
+      <Project>{3540e29e-4793-49e7-8ee2-fea7f61c3994}</Project>
+      <Name>HeuristicLab.Problems.Instances-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Problems.PermutationProblems\3.3\HeuristicLab.Problems.PermutationProblems-3.3.csproj">
       <Project>{51650b00-4ca6-41ff-8cb6-165fcacc3b51}</Project>
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Plugin.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Plugin.cs	(revision 16834)
@@ -23,5 +23,5 @@
 
 namespace HeuristicLab.Problems.PermutationProblems.Views {
-  [Plugin("HeuristicLab.Problems.PermutationProblems.Views", "3.3.15.16006")]
+  [Plugin("HeuristicLab.Problems.PermutationProblems.Views", "3.3.15.16011")]
   [PluginFile("HeuristicLab.Problems.PermutationProblems.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems.Views/3.3/Properties/AssemblyInfo.cs	(revision 16834)
@@ -54,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16007")]
+[assembly: AssemblyFileVersion("3.3.15.16011")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/HeuristicLab.Problems.PermutationProblems-3.3.csproj
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/HeuristicLab.Problems.PermutationProblems-3.3.csproj	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/HeuristicLab.Problems.PermutationProblems-3.3.csproj	(revision 16834)
@@ -10,5 +10,5 @@
     <RootNamespace>HeuristicLab.Problems.PermutationProblems</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.PermutationProblems-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -38,4 +38,8 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\trunk\bin\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Collections-3.3">
       <HintPath>..\..\..\..\trunk\sources\bin\HeuristicLab.Collections-3.3.dll</HintPath>
@@ -104,5 +108,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/LinearOrderingProblem.cs	(revision 16834)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,5 +29,4 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.Instances;
 
@@ -34,5 +34,5 @@
   [Item("Linear Ordering Problem (LOP)", "Represents a Linear Ordering Problem")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems)]
-  [StorableClass]
+  [StorableType("A84D3AAE-8AD2-4502-ACD3-70E62F12841B")]
   public sealed class LinearOrderingProblem : SingleObjectiveBasicProblem<PermutationEncoding>, IProblemInstanceConsumer<LOPData>, IProblemInstanceExporter<LOPData>, IStorableContent {
     private static readonly LOPData DefaultInstance = new LOPData() {
@@ -48,23 +48,17 @@
     };
 
-    public OptionalValueParameter<Permutation> BestKnownSolutionParameter
-    {
+    public OptionalValueParameter<Permutation> BestKnownSolutionParameter {
       get { return (OptionalValueParameter<Permutation>)Parameters["BestKnownSolution"]; }
     }
-    public Permutation BestKnownSolution
-    {
+    public Permutation BestKnownSolution {
       get { return BestKnownSolutionParameter.Value; }
-      set
-      {
+      set {
         BestKnownSolutionParameter.Value = value;
       }
     }
-
-    public ValueParameter<DoubleMatrix> MatrixParameter
-    {
+    public ValueParameter<DoubleMatrix> MatrixParameter {
       get { return (ValueParameter<DoubleMatrix>)Parameters["Matrix"]; }
     }
-    public DoubleMatrix Matrix
-    {
+    public DoubleMatrix Matrix {
       get { return MatrixParameter.Value; }
       set { MatrixParameter.Value = value; }
@@ -74,5 +68,5 @@
 
     [StorableConstructor]
-    private LinearOrderingProblem(bool deserializing) : base(deserializing) { }
+    private LinearOrderingProblem(StorableConstructorFlag _) : base(_) { }
     private LinearOrderingProblem(LinearOrderingProblem original, Cloner cloner) : base(original, cloner) { }
     public LinearOrderingProblem() {
@@ -112,5 +106,4 @@
       }
     }
-
     public LOPData Export() {
       var result = new LOPData {
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/PermutationFlowshopSchedulingProblem.cs	(revision 16834)
@@ -22,4 +22,5 @@
 using System;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -28,12 +29,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.Instances;
-
 
 namespace HeuristicLab.Problems.PermutationProblems {
   [Item("Permutation Flowshop Scheduling Problem (PFSP)", "Represents a Permutation Flowshop Scheduling Problem")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems)]
-  [StorableClass]
+  [StorableType("18A7BE3A-5605-493D-A457-12D8B340F489")]
   public sealed class PermutationFlowshopSchedulingProblem : SingleObjectiveBasicProblem<PermutationEncoding>, IProblemInstanceConsumer<FSSPData>, IProblemInstanceExporter<FSSPData> {
     #region Fields
@@ -55,23 +54,18 @@
 
     #region Getter/Setter
-    public OptionalValueParameter<Permutation> BestKnownSolutionParameter
-    {
+    public OptionalValueParameter<Permutation> BestKnownSolutionParameter {
       get { return (OptionalValueParameter<Permutation>)Parameters["BestKnownSolution"]; }
     }
-    public OptionalValueParameter<DoubleMatrix> JobMatrixParameter
-    {
+    public OptionalValueParameter<DoubleMatrix> JobMatrixParameter {
       get { return (OptionalValueParameter<DoubleMatrix>)Parameters["JobMatrix"]; }
     }
-    public Permutation BestKnownSolution
-    {
+    public Permutation BestKnownSolution {
       get { return BestKnownSolutionParameter.Value; }
-      set
-      {
+      set {
         BestKnownSolutionParameter.Value = value;
         if (BestKnownSolutionChanged != null) { OnBestKnownSolutionChanged(); }
       }
     }
-    public DoubleMatrix JobMatrix
-    {
+    public DoubleMatrix JobMatrix {
       get { return JobMatrixParameter.Value; }
       set { JobMatrixParameter.Value = value; }
@@ -83,5 +77,6 @@
     #region Ctor
     [StorableConstructor]
-    private PermutationFlowshopSchedulingProblem(bool deserializing) : base(deserializing) { }
+    private PermutationFlowshopSchedulingProblem(StorableConstructorFlag _) : base(_) { }
+
     private PermutationFlowshopSchedulingProblem(PermutationFlowshopSchedulingProblem original, Cloner cloner) : base(original, cloner) { }
     public PermutationFlowshopSchedulingProblem() {
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Plugin.cs	(revision 16834)
@@ -22,6 +22,7 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.PermutationProblems {
-  [Plugin("HeuristicLab.Problems.PermutationProblems", "3.3.15.16003")]
+namespace HeuristicLab.Problems.PermutationProblems
+{
+  [Plugin("HeuristicLab.Problems.PermutationProblems", "3.3.15.16014")]
   [PluginFile("HeuristicLab.Problems.PermutationProblems-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Collections", "3.3")]
Index: branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16831)
+++ branches/2864_PermutationProblems/HeuristicLab.Problems.PermutationProblems/3.3/Properties/AssemblyInfo.cs	(revision 16834)
@@ -54,3 +54,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.16007")]
+[assembly: AssemblyFileVersion("3.3.15.16014")]