Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPIOInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPIOInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "IO"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems IO test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/IO.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPInstanceProvider.cs	(revision 16840)
@@ -10,6 +10,8 @@
   public abstract class LOPInstanceProvider : ProblemInstanceProvider<LOPData> {
     public override string ReferencePublication {
-      get { return "Martí, R., & Reinelt, G. (2011). The Linear Ordering Problem. Applied Mathematical Sciences. Springer Berlin Heidelberg. https://doi.org/10.1007/978-3-642-16729-4"; }
+      get { return "Martí, R., & Reinelt, G. (2011). The Linear Ordering Problem. Applied Mathematical Sciences. Springer Berlin Heidelberg."; }
     }
+
+    public override Uri WebLink => new Uri("https://doi.org/10.1007/978-3-642-16729-4");
 
     public override IEnumerable<IDataDescriptor> GetDataDescriptors() {
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPMBInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPMBInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "MB"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems MB test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/MB.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA1InstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPRANDA1InstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "RANDA1"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems RANDA1 test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/RandA1.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDA2InstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPRANDA2InstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "RANDA2"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems RANDA2 test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/RandA2.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPRANDBInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPRANDBInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "RANDB"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems RANDB test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/RandB.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSGBInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPSGBInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "SGB"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems SGB test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/SGB.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPSPECInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPSPECInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "SPEC"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems SPEC test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/Spec.zip"); }
     }
   }
Index: /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs
===================================================================
--- /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs	(revision 16839)
+++ /branches/2864_PermutationProblems/HeuristicLab.Problems.Instances.PermutationProblems/3.3/LOP/LOPXLOLIBInstanceProvider.cs	(revision 16840)
@@ -20,22 +20,14 @@
 #endregion
 
-using System;
 
 namespace HeuristicLab.Problems.Instances.PermutationProblems.LinearOrdering {
   public class LOPXLOLIBInstanceProvider : LOPInstanceProvider {
 
-    public override string Name
-    {
+    public override string Name {
       get { return "XLOLIB"; }
     }
 
-    public override string Description
-    {
+    public override string Description {
       get { return "Linear Ordering Problems XLOLIB test instances"; }
-    }
-
-    public override Uri WebLink
-    {
-      get { return new Uri("http://www.optsicom.es/lolib/lop/xLOLIB.zip"); }
     }
   }